Cards, prop trading & accounting

Create Credential

Creates an encrypted third-party integration credential for the org and marks the matching onboarding checklist item.

POSThttps://api.toku.com/stablecoin-payroll/create-credential

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/create-credential' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "type": "string",
  "data": {},
  "isEmployeeIntegration": true,
  "isPayrollIntegration": true
}'
200 response
{
  "credential": {
    "credentialsID": "string",
    "name": "string",
    "type": "ADP",
    "orgID": "string",
    "isEmployeeIntegration": true,
    "isPayrollIntegration": true,
    "autoSyncEnabled": true,
    "isExpired": true,
    "refreshing": true,
    "nextRefreshAt": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "details": {},
    "decryptionError": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

typestringrequired
dataobjectrequired
isEmployeeIntegrationboolean
isPayrollIntegrationboolean

Response

200Successful response
credentialobjectrequired
Show child attributes
credentialsIDstringrequired
namestring | nullrequired
typestringrequired

Available options: ADP, BAMBOOHR, CSV_UPLOAD, DEEL, GREENHOUSE, KOTA_BENEFITS, QUICKBOOKS_ONLINE, UKG, WORKDAY

orgIDstringrequired
isEmployeeIntegrationboolean | nullrequired
isPayrollIntegrationboolean | nullrequired
autoSyncEnabledboolean | nullrequired
isExpiredboolean | nullrequired
refreshingboolean | nullrequired
nextRefreshAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
detailsobject | nullrequired
decryptionErrorboolean
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits